using System;

namespace _12345
{
    class Program
    {
        static void Main(string[] args)
        {
            int n,i,j;
            n = int.Parse(Console.ReadLine());
            float s=0,z;
            float[] k = new float[n];
            float[] a = new float[n];
            float[] p = new float[n];
            for(i=0;i<n;i++)
            {
                a[i] = float.Parse(Console.ReadLine());
                p[i] = float.Parse(Console.ReadLine());
                k[i] = 0;
                for(j=0;j<n;j++)
                {
                    if (p[j] >= p[i])
                    {
                        k[i] = a[j] * p[i];
                    }
                }
                if (i == 0)
                {
                    s = k[i];
                }
                else if (k[i] > s)
                    s = k[i];
            }
            z = s / 100;
            Console.WriteLine("{0}", z);
         




        }
    }
}